lv.eparaksts.validation

## Enum CertificateQualification

- java.lang.Object
- - java.lang.Enum<CertificateQualification>
  - - lv.eparaksts.validation.CertificateQualification

- All Implemented Interfaces:
    Serializable, Comparable<CertificateQualification>

      public enum CertificateQualification
      extends Enum<CertificateQualification>

  Certificate qualification enumeration.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ESEAL` Certificate for Electronic Seal.
    `ESIG` Certificate for Electronic Signature.
    `QC_ESEAL` Qualified Certificate for Electronic Seal.
    `QC_ESIG` Qualified Certificate for Electronic Signature.
    `QC_QSCD_ESEAL` Qualified Certificate for Electronic Seal with QSCD.
    `QC_QSCD_ESIG` Qualified Certificate for Electronic Signature with QSCD.
    `QC_QSCD_UNKNOWN` Qualified Certificate for unknown type with QSCD.
    `QC_UNKNOWN` Qualified Certificate for unknown type.
    `UNKNOWN` Certificate for unknown type.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CertificateQualification` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CertificateQualification[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### QC_QSCD_ESIG

          public static final CertificateQualification QC_QSCD_ESIG

      Qualified Certificate for Electronic Signature with QSCD.

    - #### QC_QSCD_ESEAL

          public static final CertificateQualification QC_QSCD_ESEAL

      Qualified Certificate for Electronic Seal with QSCD.

    - #### QC_QSCD_UNKNOWN

          public static final CertificateQualification QC_QSCD_UNKNOWN

      Qualified Certificate for unknown type with QSCD.

    - #### QC_ESIG

          public static final CertificateQualification QC_ESIG

      Qualified Certificate for Electronic Signature.

    - #### QC_ESEAL

          public static final CertificateQualification QC_ESEAL

      Qualified Certificate for Electronic Seal.

    - #### QC_UNKNOWN

          public static final CertificateQualification QC_UNKNOWN

      Qualified Certificate for unknown type.

    - #### ESIG

          public static final CertificateQualification ESIG

      Certificate for Electronic Signature.

    - #### ESEAL

          public static final CertificateQualification ESEAL

      Certificate for Electronic Seal.

    - #### UNKNOWN

          public static final CertificateQualification UNKNOWN

      Certificate for unknown type.

  - ### Method Detail

    - #### values

          public static CertificateQualification[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CertificateQualification c : CertificateQualification.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CertificateQualification valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright VAS Latvijas Valsts radio un televizijas centrs / Developed by SIA EUSO